Package wx :: Module calendar :: Class CalendarDateAttr

[frames | no frames]

## Type CalendarDateAttr

    object --+
             |
            CalendarDateAttr

A set of customization attributes for a calendar date, which can be used to control the look of the Calendar object.

Method Summary
CalendarDateAttr | ``__init__`(self, colText, colBack, colBorder, font, border)` Create a CalendarDateAttr.
| `__del__(self)`
Colour | `GetBackgroundColour(self)`
int | `GetBorder(self)`
Colour | `GetBorderColour(self)`
Font | `GetFont(self)`
Colour | `GetTextColour(self)`
bool | `HasBackgroundColour(self)`
bool | `HasBorder(self)`
bool | `HasBorderColour(self)`
bool | `HasFont(self)`
bool | `HasTextColour(self)`
bool | `IsHoliday(self)`
| `SetBackgroundColour(self, colBack)`
| `SetBorder(self, border)`
| `SetBorderColour(self, col)`
| `SetFont(self, font)`
| `SetHoliday(self, holiday)`
| `SetTextColour(self, colText)`

Property Summary
| `BackgroundColour`: See `GetBackgroundColour` and `SetBackgroundColour`
| `Border`: See `GetBorder` and `SetBorder`
| `BorderColour`: See `GetBorderColour` and `SetBorderColour`
| `Font`: See `GetFont` and `SetFont`
| `TextColour`: See `GetTextColour` and `SetTextColour`
| `thisown`: The membership flag

Method Details

### __init__(self, colText=wxNullColour, colBack=wxNullColour, colBorder=wxNullColour, font=wxNullFont, border=CAL_BORDER_NONE)
(Constructor)

Create a CalendarDateAttr.

  Parameters:
    `colText`
    (type=Colour)

    `colBack`
    (type=Colour)

    `colBorder`
    (type=Colour)

    `font`
    (type=Font)

    `border`
    (type=int)

  Returns:
    CalendarDateAttr
  Overrides:
    `__builtin__.object.__init__`

Property Details

### BackgroundColour

See `GetBackgroundColour` and `SetBackgroundColour`

  Get Method:
    `GetBackgroundColour`(self)
  Set Method:
    `SetBackgroundColour`(self, colBack)

### Border

See `GetBorder` and `SetBorder`

  Get Method:
    `GetBorder`(self)
  Set Method:
    `SetBorder`(self, border)

### BorderColour

See `GetBorderColour` and `SetBorderColour`

  Get Method:
    `GetBorderColour`(self)
  Set Method:
    `SetBorderColour`(self, col)

### Font

See `GetFont` and `SetFont`

  Get Method:
    `GetFont`(self)
  Set Method:
    `SetFont`(self, font)

### TextColour

See `GetTextColour` and `SetTextColour`

  Get Method:
    `GetTextColour`(self)
  Set Method:
    `SetTextColour`(self, colText)

### thisown

The membership flag

  Get Method:
    unknown--1218586500(...)
  Set Method:
    unknown--1218586444(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:17 2007 | http://epydoc.sf.net